# Порты squid
http_port 3128
# http_port 3129 intercept

# ACL сети и домены
acl localnet src "/etc/squid/acl/localnet.acl"
acl blacklist dstdomain "/etc/squid/acl/blacklist.acl" # Черный список доменов из файла
acl redirect dstdomain "/etc/squid/acl/redirect.acl"
acl whitelist src "/etc/squid/acl/whitelist.acl"

# ACL порты и методы
acl SSL_ports port 443
acl Safe_ports port 80		# http
acl Safe_ports port 443		# https
acl CONNECT method CONNECT


# Служебные Правила
http_access allow whitelist all # Разрешить whitelist ходить везде
http_access allow localhost
http_access deny !Safe_ports # Запретить все порты кроме разрешенных в acl
http_access deny CONNECT !SSL_ports
http_access deny manager # Кэш-менеджер, к нему не надо открывать доступ

# Правила deny
http_access deny blacklist

# Правила allow
http_access allow localnet # Разрешить локалки
# http_access allow all # не рекомендуется пускать всех

# REDIRECT на европу
cache_peer euvpn.riptide01.ru parent 3130 0 default
cache_peer_access euvpn.riptide01.ru allow localnet
never_direct allow redirect
never_direct deny all # not redirect all

# Кеширование
coredump_dir /var/spool/squid
cache deny all
no_cache deny all

# Хз что это, надо разобраться (Кеширование по регулярным выражениям)
refresh_pattern .		0	20%	4320


# logs format
strip_query_terms off # shows full urls
# localtime:                  fromIP ->       requestMETHOD: MIMEtype:  requestURL  <- peerIP(peerDNS) -                    SquidRequestStatus/ HTTPstatusCode/ SquidHierarchyStatus - ResponseTime"ms", request+replyTraffic"bytes"
# 14/Aug/2023:15:54:32 +0300: 192.168.1.22 -> CONNECT:       text/html: ya.ru:443   <- 91.149.233.233(euvpn.riptide01.ru) - TCP_DENIED/         403/            HIER_NONE/ -           0ms,              3940bytes;
logformat myformat %tl: %>a -> %rm:%mt:%ru <- %<a(%<A) - %Ss/%03Hs/%Sh/ - %trms, %stbytes
access_log /var/log/squid/access.log myformat all
